> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shared timelapse groups

> Get details of all shared timelapse links for organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/video/getSharedTimelapseGroups
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/video/getSharedTimelapseGroups:
    post:
      tags:
        - Video Webservice
      summary: Get shared timelapse groups
      description: Get details of all shared timelapse links for organization
      operationId: getSharedTimelapseGroups
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Video_GetSharedTimelapseGroupsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Video_GetSharedTimelapseGroupsWSResponse'
          description: OK
components:
  schemas:
    Video_GetSharedTimelapseGroupsWSRequest:
      type: object
      description: >-
        Request object for getting all shared timelapse groups for the
        organization.
    Video_GetSharedTimelapseGroupsWSResponse:
      type: object
      description: >-
        Response object containing all shared timelapse groups for the
        organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        sharedTimelapses:
          type: array
          description: List of shared timelapse groups for the organization
          items:
            $ref: '#/components/schemas/SharedTimelapseGroupWrapperType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    SharedTimelapseGroupWrapperType:
      type: object
      description: List of shared timelapse groups for the organization
      properties:
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        description:
          type: string
          nullable: true
        expirationTimeSecs:
          type: integer
          format: int32
          nullable: true
        isSecured:
          type: boolean
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        sharedTimelapses:
          type: array
          items:
            $ref: '#/components/schemas/SharedTimelapseClipType'
          nullable: true
        title:
          type: string
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    SharedTimelapseClipType:
      type: object
      properties:
        clipDuration:
          type: integer
          format: int32
          nullable: true
        clipFormat:
          $ref: '#/components/schemas/TimelapseClipFormatEnum'
        sources:
          type: array
          items:
            $ref: '#/components/schemas/TimelapseSource'
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        videoStartTime:
          type: integer
          format: int64
          nullable: true
        videoStopTime:
          type: integer
          format: int64
          nullable: true
    TimelapseClipFormatEnum:
      type: string
      enum:
        - MPEG
        - GIF
    TimelapseSource:
      type: object
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        ranges:
          type: array
          items:
            $ref: '#/components/schemas/TimeInterval'
          nullable: true
    TimeInterval:
      type: object
      properties:
        endMs:
          type: integer
          format: int64
          nullable: true
        startMs:
          type: integer
          format: int64
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````